https://codereview.qt-project.org/c/qt/qtwebengine-chromium/+/523532
Our GCC also has OOM here on ARM
--- ./src/3rdparty/chromium/third_party/distributed_point_functions/code/dpf/internal/evaluate_prg_hwy.cc~	2024-03-22 20:13:57.000000000 +0000
+++ ./src/3rdparty/chromium/third_party/distributed_point_functions/code/dpf/internal/evaluate_prg_hwy.cc	2024-04-08 14:31:34.650225948 +0000
@@ -161,7 +161,7 @@
   // ABSL_PREDICT_FALSE(!is_aligned || hn::Lanes(d8) < 16 || hn::Lanes(d8) % 16 != 0))
   volatile bool is_aligned =
   #else
-  const bool is_aligned =
+  volatile bool is_aligned =
   #endif
       (reinterpret_cast<uintptr_t>(seeds_in) % kHwyAlignment == 0) &&
       (reinterpret_cast<uintptr_t>(paths) % kHwyAlignment == 0) &&
